Skip to main content
PATCH
/
api
/
personal
/
renewals
/
{renewal_id}
Update Renewal Endpoint
curl --request PATCH \
  --url https://api.example.com/api/personal/renewals/{renewal_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": "insurance",
  "due_date": "<string>",
  "notes": "<string>",
  "recurrence": "monthly",
  "status": "active",
  "title": "<string>"
}
'
{
  "category": "insurance",
  "created_at": "<string>",
  "due_date": "<string>",
  "id": "<string>",
  "status": "active",
  "title": "<string>",
  "updated_at": "<string>",
  "notes": "<string>",
  "recurrence": "monthly"
}

Path Parameters

renewal_id
string
required

Body

application/json
category
enum<string> | null
Available options:
insurance,
taxes,
subscriptions,
licenses,
documents,
other
due_date
string | null
notes
string | null
recurrence
enum<string> | null
Available options:
monthly,
quarterly,
yearly
status
enum<string> | null
Available options:
active,
completed,
snoozed
title
string | null

Response

Successful Response

category
enum<string>
required
Available options:
insurance,
taxes,
subscriptions,
licenses,
documents,
other
created_at
string
required
due_date
string
required
id
string
required
status
enum<string>
required
Available options:
active,
completed,
snoozed
title
string
required
updated_at
string
required
notes
string | null
recurrence
enum<string> | null
Available options:
monthly,
quarterly,
yearly